Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Log_Msg_NT_Event_Log Class Reference

Implements an ACE_Log_Msg_Backend that logs to the WinNT system event log. More...

`#include <Log_Msg_NT_Event_Log.h>`

Inheritance diagram for ACE_Log_Msg_NT_Event_Log:

[legend]
Collaboration diagram for ACE_Log_Msg_NT_Event_Log:

[legend]
List of all members.

## Public Methods
| ACE_Log_Msg_NT_Event_Log (void)
| Constructor.
virtual | ~ACE_Log_Msg_NT_Event_Log (void)
| Destructor.
virtual int | open (const ACE_TCHAR *logger_key)
| Open a new event log.
virtual int | reset (void)
| Reset the backend.
virtual int | close (void)
| Close the backend completely.
virtual int | log (ACE_Log_Record &log_record)
| This is called when we want to log a message.
## Private Attributes
HANDLE | evlog_handle_

## Detailed Description

Implements an ACE_Log_Msg_Backend that logs to the WinNT system event log.

## Constructor & Destructor Documentation

ACE_Log_Msg_NT_Event_Log::ACE_Log_Msg_NT_Event_Log | ( | void |  | ) |

| Constructor.

ACE_Log_Msg_NT_Event_Log::~ACE_Log_Msg_NT_Event_Log | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_Log_Msg_NT_Event_Log::close | ( | void |  | ) | `[virtual]`

| Close the backend completely. Implements ACE_Log_Msg_Backend.

int ACE_Log_Msg_NT_Event_Log::log | ( | ACE_Log_Record & | log_record | ) | `[virtual]`

| This is called when we want to log a message. Implements ACE_Log_Msg_Backend.

int ACE_Log_Msg_NT_Event_Log::open | ( | const ACE_TCHAR * | logger_key | ) | `[virtual]`

  | Open a new event log. Initialize the event logging facility. Parameters:
  logger_key | The name of the calling program. This name is used in the Source field of the event log. If it is 0 (no name), the application name as returned from ACE_Log_Msg::program_name() is used.
Implements ACE_Log_Msg_Backend.

int ACE_Log_Msg_NT_Event_Log::reset | ( | void |  | ) | `[virtual]`

| Reset the backend. Implements ACE_Log_Msg_Backend.

## Member Data Documentation

HANDLE ACE_Log_Msg_NT_Event_Log::evlog_handle_`[private]`

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Log_Msg_NT_Event_Log.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Log_Msg_NT_Event_Log.cpp